
Redmine - Defect #12861

Internal Error 500 on "settings"

2013-01-16 10:38 - Fr Tr

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Administration Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 2.2.0

Description

I just finish the installation and logged with admin/admin but i can't acces some pages like "settings" or "my account" who display :

"Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error."

LOG :

ActionView::Template::Error (wrong number of arguments (2 for 1)):

3: <div class="box tabular settings">

4: <p><%= setting_select :ui_theme, Redmine::Themes.themes.collect {|t| [t.name, t.id]}, :blank => :label_default, :label =>

:label_theme ></p>

5:

6: <p><= setting_select :default_language, lang_options_for_select(false) ></p>

7:

8: <p><= setting_select :start_of_week, day_name(1),'1'], [day_name(6),'6'], [day_name(7),'7', :blank => :label_language_based 

></p>

9: < locale = User.current.language.blank? ? ::I18n.locale : User.current.language %>

lib/redmine/i18n.rb:95:in `languages_options'

app/helpers/application_helper.rb:974:in `lang_options_for_select'

app/views/settings/_display.html.erb:6:in `_app_views_settings__display_html_erb__461788729_23782066839480'

app/views/settings/_display.html.erb:1:in `_app_views_settings__display_html_erb__461788729_23782066839480'

app/views/common/_tabs.html.erb:24:in `_app_views_common__tabs_html_erb__882176323_23782067210460'

app/views/common/_tabs.html.erb:23:in `each'

app/views/common/_tabs.html.erb:23:in `_app_views_common__tabs_html_erb__882176323_23782067210460'

app/helpers/application_helper.rb:263:in `render_tabs'

app/views/settings/edit.html.erb:3:in `_app_views_settings_edit_html_erb__211667103_23782067224180'

app/controllers/settings_controller.rb:26:in `index'

VERSION :

RedHat 5.5

Ruby 1.8.7

RubyGems 1.8.24

Redmine 2.2.0

mysql  Ver 14.12 Distrib 5.0.77, for redhat-linux-gnu (x86_64) using readline 5.1

LOCAL GEMS ***

actionmailer (3.2.9)

actionpack (3.2.9)

activemodel (3.2.9)

activerecord (3.2.9)

activeresource (3.2.9)

activesupport (3.2.9)

arel (3.0.2)

builder (3.0.4, 3.0.0)

bundler (1.2.3)
coderay (1.0.8)

erubis (2.7.0)

fastercsv (1.5.5)

hike (1.2.1)

i18n (0.6.1)

journey (1.0.4)

jquery-rails (2.0.3)

json (1.7.5)

mail (2.4.4)

mime-types (1.19)

multi_json (1.5.0)

mysql (2.8.1)

net-ldap (0.3.1)

polyglot (0.3.3)

rack (1.4.1)

rack-cache (1.2)

rack-openid (1.3.1)

rack-ssl (1.3.2)

rack-test (0.6.2)

rails (3.2.9)

railties (3.2.9)

rake (10.0.3)

rdoc (3.12)

ruby-openid (2.1.8)

sprockets (2.2.2)

thor (0.16.0)

tilt (1.3.3)

treetop (1.4.12)

tzinfo (0.3.35)

Related issues:

Related to Redmine - Feature #12475: Lazy loading of translation files for fa... Closed

Related to Redmine - Defect #13491: Update RedmineInstall about support of ru... Closed

History

#1 - 2013-01-16 11:24 - Daniel Felix

- Priority changed from High to Normal

Have you changed some templates or do you have any plugins?

Did you remember to generate a secret token in your administration?

http://www.redmine.org/projects/redmine/wiki/RedmineInstall#Step-5-Session-store-secret-generation

#2 - 2013-01-16 11:48 - Fr Tr

I haven't changed any templates and i didn't instaled any plugins yet.

I am not sure 100% the secret token have been done but i have followed the FrRedmineInstallGuide so i think i did it.

To be sure i just did it (again) and restarted Redmine but i still got the issue on same pages.

#3 - 2013-01-16 12:04 - Toshi MARUYAMA

Did you run "RAILS_ENV=production rake redmine:load_default_data"?

RedmineInstall

#4 - 2013-01-16 12:10 - Daniel Felix

Toshi MARUYAMA wrote:

Did you run "RAILS_ENV=production rake redmine:load_default_data"?

RedmineInstall

 Normally the system should display just a infobox in the administrative section but don't crash without default data. Is there such a warning?

#5 - 2013-01-16 12:17 - Fr Tr

Yes Toshi, i did, and to be sure i just did it (again) and that displayed that some configuration data is already loaded.

Daniel, my pages with that issue display :
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>

<head>

<title>Redmine 500 error</title>

<style>

body{

font-family: Trebuchet MS,Georgia,"Times New Roman",serif;

color:#303030;

margin:10px;

}

h1{

font-size:1.5em;

}

p{

font-size:0.8em;

}

</style>

</head>

<body>

<h1>Internal error</h1>

<p>

An error occurred on the page you were trying to access.

<br>

If you continue to experience problems please contact your Redmine administrator for assistance.

</p>

<p>If you are the Redmine administrator, check your log files for details about the error.</p>

<p>

<a href="javascript:history.back()">Back</a>

</p>

</body>

</html>   

No crash, no warning, just this text.

#6 - 2013-01-16 12:34 - Toshi MARUYAMA

What permission of "tmp/cache"?

I can reproduce it when "chmod 555 tmp/cache".

#7 - 2013-01-16 13:09 - Fr Tr

My "tmp/cache" permission is on 755. Should i modify it ?

#8 - 2013-01-16 13:24 - Toshi MARUYAMA

Fr Tr wrote:

My "tmp/cache" permission is on 755. Should i modify it ?

 No.

Is there any files in tmp/cache?

$ tree

.

└── 900

    └── 0F0

        └── i18n%2Flanguages_options

2 directories, 1 file

$ ll 900/0F0/i18n%2Flanguages_options 

-rw-r--r-- 1 xxxx xxxx 1237 2012-12-14 23:09 900/0F0/i18n%2Flanguages_options

#9 - 2013-01-16 13:43 - Fr Tr

No file in cache :

# tree

.

|-- 900

|   `-- 0F0

|-- A3F

|   `-- D30
`-- B66

    `-- A10

6 directories, 0 files

 In Filezilla i see 1 file with the three folders :

i18n%2Flanguages_options20130117-24270-19eusdc-0

It says that the file size = 0.

#10 - 2013-01-16 13:49 - Toshi MARUYAMA

Fr Tr wrote:

In Filezilla i see 1 file with the three folders :

i18n%2Flanguages_options20130117-24270-19eusdc-0

It says that the file size = 0.

Could you try following?

stop redmine

remove this file

start redmine

#11 - 2013-01-16 13:56 - Fr Tr

Done, but nothing changed..

#12 - 2013-01-16 14:06 - Toshi MARUYAMA

- File revert-r10844.diff added

Try this patch.

This is reverting r10844.

#13 - 2013-01-16 14:33 - Fr Tr

- Status changed from New to Resolved

Patching solved the problem.

Thanks a lot =)

#14 - 2013-01-16 14:41 - Toshi MARUYAMA

What is your Ruby 1.8.7 version?

CI server uses ruby-1.8.7-p358 for 2.2-stabe and ruby-1.8.7-p370 for trunk.

http://www.redmine.org/builds/index.html

Redmine 2.2.1 was released.

Rails 3.2.9 is obsolete.

#15 - 2013-01-16 14:44 - Toshi MARUYAMA

- Subject changed from Internal Error 500 to Internal Error 500 on "settings"

#16 - 2013-01-16 16:35 - Fr Tr

Ruby version :

ruby 1.8.7 (2008-05-31 patchlevel 0) [x86_64-linux]

Thank you for the notifications about my Redmine and Rails version.

#17 - 2013-01-16 16:48 - Toshi MARUYAMA

- Status changed from Resolved to Closed

Fr Tr wrote:

Ruby version :

ruby 1.8.7 (2008-05-31 patchlevel 0) [x86_64-linux]

Thank you for the notifications about my Redmine and Rails version.

2025-07-01 4/5

https://www.redmine.org/projects/redmine/repository/svn/revisions/10844
http://www.redmine.org/builds/index.html


 It is very old!!!

I close this issue.

#18 - 2013-04-10 02:17 - Craig Yoshioka

I just finished upgrading our redmine 1.0.0 (I know!!) installation and am having this same problem.  Error on trying to access "settings" in

"administration" or "my account".  Everything else, including all our data seems to have made the migration OK so far.

This is redmine 2.3

ruby 2.0.0

passenger 4.0.0

rails 3.2.13

#19 - 2013-04-10 09:13 - Etienne Massip

Run rake tmp:clear RAILS_ENV=production and restart?

#20 - 2013-04-17 01:09 - Craig Yoshioka

I get:

# rake tmp:clear RAILS_ENV=production

rake aborted!

cannot load such file -- iconv

 Thanks for the help.  I'm sure there's a simple solution, I inherited this thing so I'm trying to wrap my head around the whole ruby environment, rails,

and redmine at the same time.

Edit: OK, I got the command to run, but it still throws an error.  I looked in log/production.log but there is nothing new for when the error occurred.

#21 - 2013-04-17 01:32 - Craig Yoshioka

OK, I got it to work by changing the use nginx was running as.  So it must have been a permissions issue writing (but not reading?) to the redmine

directory.

Incidentally, the logs not working clued me in.

#22 - 2013-04-17 08:53 - Etienne Massip

Craig Yoshioka wrote:

OK, I got it to work by changing the use nginx was running as.  So it must have been a permissions issue writing (but not reading?) to the

redmine directory.

 As Toshi suggested in #12861#note-6 and as stated in RedmineInstall, the user account running Redmine must have write permission to tmp

directory and its subdirs.

#23 - 2013-08-11 12:14 - Eugene Botianovski

I has some trouble when install redmine 231 on ubuntu with Apache PAssenger.

Solution: owner of files, tmp, log and public/plaguns_assets should be a www-data:www-data because apache working under this user (and redmine

if installing with apache passenger)

Files

revert-r10844.diff 2.17 KB 2013-01-16 Toshi MARUYAMA
